import request from '@/utils/request'
import state from '@/store'
import router from '@/router'

// 初始化机床项目
export function initProject() {
  return request({
    url: '',
    method: 'post',
    data: {
      UserID: state.state.user.id,
      ModularID: router.currentRoute.path,
      type: '1',
      name: 'PDM_项目名称_查询数据'
    }
  })
}
// 初始化质检类型
export function QualityType() {
  return request({
    url: '',
    method: 'post',
    data: {
      UserID: state.state.user.id,
      ModularID: router.currentRoute.path,
      type: '1',
      name: '质检管理_质检类型_查询数据'
    }
  })
}
// 初始化不合格原因
export function initReasonsForNonconformity() {
  return request({
    url: '',
    method: 'post',
    data: {
      UserID: state.state.user.id,
      ModularID: router.currentRoute.path,
      type: '1',
      name: '质检管理_不合格原因_查询数据'
    }
  })
}
// 初始化不合格处理
export function initDisqualificationTreatment() {
  return request({
    url: '',
    method: 'post',
    data: {
      UserID: state.state.user.id,
      ModularID: router.currentRoute.path,
      type: '1',
      name: '质检管理_不合格处理_查询数据'
    }
  })
}
// 初始化质检人员
export function initPerson() {
  return request({
    url: '',
    method: 'post',
    data: {
      UserID: state.state.user.id,
      ModularID: router.currentRoute.path,
      type: '1',
      name: '质检管理_质量情况_查询数据_质检人员'
    }
  })
}
// 组件查询
export function searchgroup(num) {
  return request({
    url: '',
    method: 'post',
    data: {
      UserID: state.state.user.id,
      ModularID: router.currentRoute.path,
      type: '1',
      name: 'PDM_组件名称_查询数据',
      param: '机床流水号=' + num
    }
  })
}
// 零件查询
export function searchparts(num) {
  return request({
    url: '',
    method: 'post',
    data: {
      UserID: state.state.user.id,
      ModularID: router.currentRoute.path,
      type: '1',
      name: '质检管理_零件信息_查询数据',
      param: '组件流水号=' + num
    }
  })
}
// 工序查询
export function searchprocedure(num) {
  return request({
    url: '',
    method: 'post',
    data: {
      UserID: state.state.user.id,
      ModularID: router.currentRoute.path,
      type: '1',
      name: '质检管理_工序信息_查询数据',
      param: '工艺计划流水号=' + num
    }
  })
}
// 投产数量查询
export function searchproceductnum(num) {
  return request({
    url: '',
    method: 'post',
    data: {
      UserID: state.state.user.id,
      ModularID: router.currentRoute.path,
      type: '1',
      name: '质检管理_投产数量_查询数据',
      param: '工艺计划流水号=' + num
    }
  })
}

// 操作工查询
export function searchoperators(num) {
  return request({
    url: '',
    method: 'post',
    data: {
      UserID: state.state.user.id,
      ModularID: router.currentRoute.path,
      type: '1',
      name: '车间生产管理_工序质检_查询人员数据_电脑端',
      param: '工序流水号=' + num
    }
  })
}
// 新增序间检验
export function submitTable(...param) {
  return request({
    url: '',
    method: 'post',
    data: {
      UserID: state.state.user.id,
      ModularID: router.currentRoute.path,
      type: '2',
      name: '车间生产管理_质检管理_新增',
      param: `零部件流水号=${param[0]}&质检类型代码=${param[1]}&数量=${param[2]}&是否合格=${param[3]}&人员编号=${param[4]}&不合格数量=${param[5]}&不合格原因=${param[6]}&不合格处理=${param[7]}&备注=${param[8]}&操作工=${param[9]}&编辑人员编号=${param[10]}`
    }
  })
}
export function confirmEdit(...param) {
  return request({
    url: '',
    method: 'post',
    data: {
      UserID: state.state.user.id,
      ModularID: router.currentRoute.path,
      type: '2',
      name: '车间生产管理_质检管理_编辑处理',
      param: `质检流水号=${param[0]}&质检类型代码=${param[1]}&零部件流水号=${param[2]}&是否合格=${param[3]}&数量=${param[4]}&不合格数量=${param[5]}&不合格原因=${param[6]}&不合格处理=${param[7]}&备注=${param[8]}&编辑人员编号=${param[9]}`
    }
  })
}

export function deleterow(...param) {
  return request({
    url: '',
    method: 'post',
    data: {
      UserID: state.state.user.id,
      ModularID: router.currentRoute.path,
      type: '2',
      name: '车间生产管理_质检管理_删除处理',
      param: `质检流水号=${param[0]}&质检类型代码=${param[1]}&零部件流水号=${param[2]}&数量=${param[3]}`
    }
  })
}
// 质检管理_质量情况_查询数据
export function selecttable(check1, value1, check2, value2, check3, value3, check4, value4, check5, value5, check6, value6, check7, value7, check8, value8, pageCurrent, pageSize) {
  return request({
    url: '',
    method: 'post',
    data: {
      UserID: state.state.user.id,
      ModularID: router.currentRoute.path,
      type: '1',
      name: '质检管理_工序外协件_查询数据',
      param: '机床流水号_check=' + check1 + '&机床流水号=' + value1 + '&组件流水号_check=' + check2 + '&组件流水号=' + value2 + '&零件名称_check=' + check3 + '&零件名称=' + value3 +
        '&质检类型代码_check=' + check4 + '&质检类型代码=' + value4 + '&开始时间_check=' + check5 + '&开始时间=' + value5 + '&结束时间_check=' + check6 + '&结束时间=' + value6 + '&质检情况_check=' + check7 + '&质检情况=' + value7 + '&人员编号_check=' + check8 + '&人员编号=' + value8 + `&PageCurrent=${pageCurrent}&PageSize=${pageSize}&PageCount=1111=int=output&ItemCount=1111=int=output`
    }
  })
}
// 质检管理_质量情况_查询数据
export function selecttable22(check1, value1, check2, value2, check3, value3, check4, value4, check5, value5, check6, value6, check7, value7, check8, value8) {
  return request({
    url: '',
    method: 'post',
    data: {
      UserID: state.state.user.id,
      ModularID: router.currentRoute.path,
      type: '1',
      name: '质检管理_质量情况_查询数据',
      param: '机床流水号_check=' + check1 + '&机床流水号=' + value1 + '&组件流水号_check=' + check2 + '&组件流水号=' + value2 + '&零件名称_check=' + check3 + '&零件名称=' + value3 +
      '&质检类型代码_check=' + check4 + '&质检类型代码=' + value4 + '&开始时间_check=' + check5 + '&开始时间=' + value5 + '&结束时间_check=' + check6 + '&结束时间=' + value6 + '&质检情况_check=' + check7 + '&质检情况=' + value7 + '&人员编号_check=' + check8 + '&人员编号=' + value8
    }
  })
}
export function searchPic(num) {
  return request({
    url: '',
    method: 'post',
    data: {
      UserID: state.state.user.id,
      ModularID: router.currentRoute.path,
      type: '1',
      name: '质检管理_图片_查询数据',
      param: '质检流水号=' + num
    }
  })
}
// 查询外协到货单明细
export function searchTableDetail(...params) {
  return request({
    url: '',
    method: 'post',
    data: {
      UserID: state.state.user.id,
      ModularID: router.currentRoute.path,
      type: '1',
      name: '质检管理_质检数据_查询数据',
      param: `检测类型=${params[0]}&质检流水号=${params[1]}`
    }
  })
}
export function searchData() {
  return request({
    url: '',
    method: 'post',
    data: {
      UserID: state.state.user.id,
      ModularID: router.currentRoute.path,
      type: '1',
      name: '车间生产管理工艺_加工顺序调整_查询正在加工零件工序_NEW'
    }
  })
}
export function searchData1() {
  return request({
    url: '',
    method: 'post',
    data: {
      UserID: state.state.user.id,
      ModularID: router.currentRoute.path,
      type: '1',
      name: 'MES_机加工MES_记录零件待加工显示_NEW'
    }
  })
}
export function processingStatus(num) {
  return request({
    url: '',
    method: 'post',
    data: {
      UserID: state.state.user.id,
      ModularID: router.currentRoute.path,
      type: '1',
      name: '车间生产管理_成组配套加工进度_查询数据',
      param: '工艺计划流水号=' + num
    }
  })
}
export function Prohibit(num, num1) {
  return request({
    url: '',
    method: 'post',
    data: {
      UserID: state.state.user.id,
      ModularID: router.currentRoute.path,
      type: '2',
      name: '质检管理_质检情况_禁用',
      param: '质检流水号=' + num + '&质检类型代码=' + num1
    }
  })
}
